clear
close all

load lobby

[L,S] = pcp(X);

% show resulting videos
figure('units','normalized','outerposition',[0 0 1 0.5])
for ii = 1:size(X,2)
    xi = X(:,ii);
    li = L(:,ii);
    si = S(:,ii);

    % original video
    subplot(1,3,1)
    imagesc(reshape(xi,64,80))
    axis off
    colormap gray
    caxis([0,1])
    title('original video')

    % low-rank component (background)
    subplot(1,3,2)
    imagesc(reshape(li,64,80))
    axis off
    colormap gray
    caxis([0,1])
    title('low-rank component')

    % sparse component (foreground)
    subplot(1,3,3)
    imagesc(reshape(si,64,80))
    axis off
    colormap gray
    caxis([0,1])
    title('sparse component')
    drawnow()
end
