clear
close all

% problem parameters
D = 100;
N = 500;
r = 13;

Ltrue = randn(D,r)*randn(r,N);              % low-rank matrix
Strue = double(rand(D,N) < 0.01);           % sparse matrix
Y = Ltrue + Strue;

[L,S] = pcp(Y);

errL = norm(Ltrue - L,'fro')/norm(Ltrue,'fro');
errS = norm(Strue - S,'fro')/norm(Strue,'fro');
disp(['error in L = ',num2str(errL)])
disp(['error in S = ',num2str(errS)])
